Name:          intel-graphics-update-tool
Version:       2.0.2
Release:       2
Summary:       Intel® Graphics Update Tool for Linux* OS
License:       ASL 2.0
Group:         User Interface/X Hardware Support
Url:           https://01.org/linuxgraphics
Source:        intel-graphics-update-tool-%{version}.tar.gz
BuildRequires: PackageKit-glib-devel
BuildRequires: PackageKit-yum
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: glib2-devel
BuildRequires: gnome-common
BuildRequires: gtk3-devel
BuildRequires: intltool
BuildRequires: libsoup-devel
BuildRequires: polkit-devel
Requires:      libproxy-mozjs >= 0.4.10
Requires:      PackageKit
%description
Intel® Graphics Update Tool for Linux* OS configures repositories to provide
upgrades for the kernel driver, Mesa, VAAPI and related software.

%prep
%setup -q
./autogen.sh

%build
%configure --with-distribution=fedora
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot}
install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
%{__install} -p -m644 data/intellinuxgraphics.repo $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf %{buildroot}

%post

%postun

%package -n intellinuxgraphics-repo
Summary:    Intel Linux Graphics Repository Configuration
Group:      System Environment/Base
BuildArch:  noarch

%description -n intellinuxgraphics-repo
01.org contains downloads for the Intel Graphics for Linux Open Source components.

This package contains the repository configuration to get upgrades for those
components.

%files -n intellinuxgraphics-repo
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%files
%defattr(-,root,root)
%doc README LICENSE AUTHORS
%{_bindir}/*
%dir %{_datadir}/applications
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}/images
%{_datadir}/%{name}/images/*
%dir %{_datadir}/polkit-1/actions
%{_datadir}/polkit-1/actions/*
%dir %{_datadir}/%{name}/scripts
%attr(0755, root, root) %{_datadir}/%{name}/scripts/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Wed Aug 08 2016 Vivek Das Mohapatra <vivek@collabora.com> - 2.0.2-1
 - Text fixes related to name change.
 - Version bump to bring all releases into sync.
* Thu Jul 21 2016 Vivek Das Mohapatra <vivek@collabora.com> - 2.0.0-1
 - Rename package and binaries to intel-graphics-update-tool
 - Version bump to 2.x to accompany name change
* Tue Jan 26 2016 Vivek Das Mohapatra <vivek@collabora.com> - 1.4.0-1
 - Remove deprecated packagekit API calls
 - Remove deprecated gtk misc API calls
 - User interface is now more verbose about what is going on in the
   background: Things like the actual URL being fetched and the location
   of the saved configuration.
 - Absence of detectable i915 drivers/hardware now only prevents
   installation of the i915 update: The userspace packages are installed
   anyway.

* Thu Nov 12 2015 Joe Konno <joe.konno@intel.com> - 1.2.1-1
- Version bump for 2015Q3

* Thu Jul 16 2015 Vivek Das Mohapatra <vivek@collabora.com> - 1.2.0-1
- Handle dnf based Fedora systems (22+)

* Wed Jun 10 2015 Joe Konno <joe.konno@intel.com> - 1.1.0-1
- Version bump for 2015Q1
- Minor fixes

* Wed Jan 07 2015 Jack Leigh <jack.leigh@collabora.com> - 1.0.8-1
- Version bump for 2014Q4
- Some fixes to support new PackageKit on Fedora
- Fix "make distcheck"

* Mon Oct 27 2014 Joe Konno <joe.konno@intel.com> - 1.0.7-1
- Version bump for 2014-Q3
- Trivial refactor of commandline option parser

* Mon Aug 04 2014 Joe Konno <joe.konno@intel.com> - 1.0.6-1
- Version bump for 2014-Q2

* Mon Apr 07 2014 Jack Leigh <jack.leigh@collabora.com> - 1.0.5-1
- Version bump for 2014-Q1

* Tue Jan 28 2014 Vivek Das Mohapatra <vivek@collabora.com> - 1.0.4-1
- Version bump for 2013-Q4
- Fedora 20 support

* Fri Jan 10 2014 Vivek Dasmohapatra <vivek@collabora.com> - 1.0.3-1
- Verson bump for 2013-Q4 beta

* Wed Nov 20 2013 Vivek Dasmohapatra <vivek@collabora.com> - 1.0.2-6
- UI Focus fixes based on QA feedback
- Minor wording updates from QA feedback

* Mon Nov 18 2013 Vivek Dasmohapatra <vivek@collabora.com> - 1.0.2-5
- Policykit configuration file added
- Repository reconfiguration at install time (bugfixes)

* Wed Nov 06 2013 Vivek Dasmohapatra <vivek@collabora.com> - 1.0.2-4
- Post-installation report added
- Key installation support [disabled by default]
- Force repository reconfiguration at start up (purges stale config)
- Include intellinuxgraphics-repo in installer rpm spec

* Fri Aug 02 2013 Joe Konno <joe.konno@intel.com> - 1.0.2-2
- Fixed 32/64 bit issue, varargs cannot auto-cast to the right width

* Thu Aug 01 2013 Joe Konno <joe.konno@intel.com> - 1.0.2-1
- More fixes to native kernel version check

* Tue Jul 23 2013 Joe Konno <joe.konno@intel.com> - 1.0.2-0
- Fix naive kernel version check
- Move to debhelper for potfile generation
- Add explicit ttf-ancient-fonts package dependency
- Bump version to 1.0.2

* Tue Mar 05 2013 Vivek Dasmohapatra <vivek@collabora.co.uk> - 1.0.1-0
- Restored uninstall functionality
- Improved UI progress indicators

* Tue Mar 05 2013 Vivek Dasmohapatra <vivek@collabora.co.uk> - 0.98.2-0
- Suppress uninstall functionality: Not ready for release

* Tue Nov 27 2012 Vivek Dasmohapatra <vivek@collabora.co.uk> - 0.97.2-0
- Added .desktop file to provide menu entry + icon

* Mon Nov 26 2012 Vivek Dasmohapatra <vivek@collabora.co.uk> - 0.97.1-0
- Added PAC proxy support via libproxy
